<!-- 选择下拉框 -->
<template>
  <a-select
    show-search
    optionFilterProp="label"
    :options="data"
    allow-clear
    :value="value"
    :placeholder="placeholder"
    @update:value="updateValue"
    @blur="onBlur"
  />
</template>

<script lang="ts" setup>
  import { pageMerchant } from '@/api/merchant';
  import { ref } from 'vue';
  import { SelectProps } from 'ant-design-vue';

  const emit = defineEmits<{
    (e: 'update:value', value: string): void;
    (e: 'blur'): void;
  }>();

  withDefaults(
    defineProps<{
      value?: string;
      placeholder?: string;
      dictCode?: string;
    }>(),
    {
      placeholder: '请选择服务器厂商'
    }
  );

  // 字典数据
  const data = ref<SelectProps['options']>([]);
  pageMerchant({limit:100}).then((res) => {
    res?.list.map((d) => {
      data.value?.push({
        comments: d.merchantName,
        label: d.merchantName,
        text: d.merchantName,
        value: d.merchantCode
      });
    });
  });
  /* 更新选中数据 */
  const updateValue = (value: string) => {
    emit('update:value', value);
  };
  /* 失去焦点 */
  const onBlur = () => {
    emit('blur');
  };
</script>
